using System.Text.Json.Serialization;

namespace YandexMusic.API.Models.Account;

public class YLoginInfo
{
    public string Id { get; set; }
    public string Login { get; set; }
    [JsonPropertyName("client_id")]
    public string ClientId { get; set; }
    [JsonPropertyName("display_name")]
    public string DisplayName { get; set; }
    [JsonPropertyName("real_name")]
    public string RealName { get; set; }
    [JsonPropertyName("first_name")]
    public string FirstName { get; set; }
    [JsonPropertyName("last_name")]
    public string LastName { get; set; }
    public string Sex { get; set; }
    [JsonPropertyName("default_email")]
    public string DefaultEmail { get; set; }
    public List<string> Emails { get; set; }
    public string Birthday { get; set; }
    [JsonPropertyName("default_avatar_id")]
    public string DefaultAvatarId { get; set; }

    public string AvatarUrl => $"https://avatars.mds.yandex.net/get-yapic/{DefaultAvatarId}/islands-200";
    [JsonPropertyName("is_avatar_empty")]
    public bool IsAvatarEmpty { get; set; }
    public string PsuId { get; set; }

}